package at.reisinger;

/**
 * at.reisinger.Package besteht aus 4 Karten. Ist eine Erweiterung der at.reisinger.Cards, zeigt für 4 at.reisinger.Cards den Preis und einen Packagenamen an
 */
public class Package extends Cards{
    private String name;
    private int price;

    /**
     * Erstellt ein neues at.reisinger.Package mit den gegebenen Stats
     * @param stack at.reisinger.Cards des Packages
     * @param name Name des Packages
     * @param price Price des Packages
     */
    public Package(Cards stack, String name, int price) {
        super(stack.getCards());
        this.name = name;
        this.price = price;
    }

    /**
     * Holt den namen des Packages
     * @return Name des Packages
     */
    public String getName() {
        return this.name;
    }

    /**
     * Holt den Preis des Packages
     * @return Preis des Packages
     */
    public int getPrice() {
        return this.price;
    }

    /**
     * Setzt den Namen des Packages
     * @param neuName Neuer name des Packages
     */
    public void setName(String neuName) {
        this.name = neuName;
    }
}
